{*
 Шаблон вычисления "Создать CSV по записям в подтаблице"
*}

// готовим массив записей для экспорта
$result = data_select_field({$subtable.table}, 'id', 'status = 0 AND {$subtable.link_field_id} = ', $ID);
while ($row = sql_fetch_assoc($result)) {
    $_SESSION[$ses_id]['sel' . get_table_id({$subtable.table})][] = $row['id'];
}
// задаем имя и путь к файлу экспорта
$fname = $lang['Subtable'] . '{$subtable.table}.csv';
$line['{$exp_file_field}'] = $fname;
save_data_file({$exp_file_field|replace:'f':''}, $ID, $fname, '-');
$fpath = get_file_path({$exp_file_field|replace:'f':''}, $ID, $fname);
// экспортируем данные
{if $exp_template}
$exp_template = sql_fetch_assoc(sql_select_field(EXPORT_TPL_TABLE, 'exp_config', "table_id = ",  get_table_id({$subtable.table}), " AND name = '{$exp_template}'"));
$exp_config = unserialize($exp_template['exp_config']);
export_data({$subtable.table}, $exp_config, $fpath, 'none');
{else}
export_data({$subtable.table}, '', $fpath, 'none');
{/if}